Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 235690 - Implement Java Hints for "Probable Bugs"
Implement Java Hints for "Probable Bugs"
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Hints
7.4
PC Linux
: P1 with 1 vote (vote)
: 8.0
Assigned To: Svata Dedic
issues@java
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 11:35 UTC by Svata Dedic
Modified: 2015-04-09 15:11 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Svata Dedic 2013-09-09 11:35:00 UTC
The following hints should be implemented:

* 'Comparator.compare()' method does not use parameter
* 'Math.random()' cast to 'int'
* 'assert' statement with side effects
* 'hashCode()' called on array
* Call to 'toString()' on array
* Confusing 'null' argument to var-arg method
* Confusing primitive array argument to var-arg method
* Constant conditions \& exceptions
* Infinite recursion
* Magic Constant
* Malformed XPath expression
* Malformed format string
* Mismatched query and update of StringBuilder
* Number comparison using '==', instead of 'equals()'
* Statement with empty body
* StringBuffer constructor call with 'char' argument
* Suspicious 'Collections.toArray()' call
* Suspicious collections method calls
* Suspicious variable/parameter name combination
* Throwable instance not thrown
* Throwable result of method call ignored
Comment 1 Quality Engineering 2013-09-28 04:36:41 UTC
Integrated into 'main-silver', will be available in build *201309280002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/2d7156da7cab
User: Svata Dedic <sdedic@netbeans.org>
Log: #235690: implement Math.random() cast hint
Comment 2 Svata Dedic 2013-10-18 10:40:36 UTC
Implemented Throwable instance + method result not thrown/ignored in rev. http://hg.netbeans.org/jet-main/rev/14bafdfa41cf
Comment 3 Quality Engineering 2013-10-24 02:39:36 UTC
Integrated into 'main-silver', will be available in build *201310240001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/14bafdfa41cf
User: Svata Dedic <sdedic@netbeans.org>
Log: #235690: Implemented Throwable instance + method result not thrown/ignored
Comment 4 Svata Dedic 2015-04-09 15:11:34 UTC
This should be closed :) a long time.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo